## NAME

v.clip - Extracts features of input map which overlay features of clip map.

## KEYWORDS

vector, clip, area

## SYNOPSIS

v.clip
v.clip --help
v.clip [-dr] input=name clip=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-d
  Do not dissolve clip map
-r
  Clip by region
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of vector map to be clipped
  Or data source for direct OGR access
clip=name [required]
  Name of clip vector map
  Or data source for direct OGR access
output=name [required]
  Name for output vector map

## DESCRIPTION

v.clip module enables extracting those features of input vector map, which overlay features of clip map, as well as their storing in a new vector map.

In default, boundaries of clip map are dissolved before clipping. Alternatively, flag -d can be ticked to retain the boundaries of clip map. Flag -r facilitates clipping by current computational region.

It is possible to clip vector maps consisting of points, lines, areas or combinations of these. However, the current version does not fully support clipping of mixed geometry containing points. In such a case, the output map will only store clipped lines and/or areas.

## NOTES

v.clip is a front-end to v.overlay, as well as v.select. Clipping of areas and/or lines can be achieved using v.overlay. Clipping of points can be performed with v.select.

## EXAMPLES

### Basic use

Clip railroads by counties Wake and Johnston in North Carolina (North Carolina data set).

    v.extract input=boundary_county where="NAME='WAKE' OR NAME='JOHNSTON'" output=county_WAKE_JOHNSTON
    v.clip input=railroads clip=county_WAKE_JOHNSTON output=railroads_WAKE_JOHNSTON

Figure: v.clip example - basic use

### Retain boundaries of clip map

    v.clip -d input=railroads clip=county_WAKE_JOHNSTON output=railroads_WAKE_JOHNSTON

### Clip by current computational region

Clip hospitals by computational region adjusted to counties Wake and Johnston in North Carolina (North Carolina data set). It is not obligatory to enter name of clip map. In case it is stated, the clip map will be omitted.

    v.extract input=boundary_county where="NAME='WAKE' OR NAME='JOHNSTON'" output=county_WAKE_JOHNSTON
    v.clip -r input=hospitals output=hospitals_clip

Figure: v.clip example - clip by computational region

## SEE ALSO

v.overlay, v.select, v.dissolve, v.in.region

## AUTHOR

Zofie Cimburova, GeoForAll Lab, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: v.clip source code (history)

Latest change: Wednesday May 21 14:24:15 2025 in commit: 86e588ac7ef1d6db04e5f405c5ab080bb08bc37b

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual